liblzma (XZ Utils): lzma_index_iter Struct Reference

| liblzma (XZ Utils) 5.6.1

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lzma_index_iter Struct Reference

Iterator to get information about Blocks and Streams. More...

`#include <index.h>`

## Data Fields
struct { |
const lzma_stream_flags * flags |
| Pointer to Stream Flags. More...
lzma_vli number |
| Stream number in the lzma_index. More...
lzma_vli block_count |
| Number of Blocks in the Stream. More...
lzma_vli compressed_offset |
| Compressed start offset of this Stream. More...
lzma_vli uncompressed_offset |
| Uncompressed start offset of this Stream. More...
lzma_vli compressed_size |
| Compressed size of this Stream. More...
lzma_vli uncompressed_size |
| Uncompressed size of this Stream.
lzma_vli padding |
| Size of Stream Padding after this Stream. More...
} | stream |
struct { |
lzma_vli number_in_file |
| Block number in the file. More...
lzma_vli compressed_file_offset |
| Compressed start offset of this Block. More...
lzma_vli uncompressed_file_offset |
| Uncompressed start offset of this Block. More...
lzma_vli number_in_stream |
| Block number in this Stream. More...
lzma_vli compressed_stream_offset |
| Compressed start offset of this Block. More...
lzma_vli uncompressed_stream_offset |
| Uncompressed start offset of this Block. More...
lzma_vli uncompressed_size |
| Uncompressed size of this Block. More...
lzma_vli unpadded_size |
| Unpadded size of this Block. More...
lzma_vli total_size |
| Total compressed size. More...
} | block |

## Detailed Description

Iterator to get information about Blocks and Streams.

## Field Documentation

## ◆ flags

const lzma_stream_flags* lzma_index_iter::flags

Pointer to Stream Flags.

This is NULL if Stream Flags have not been set for this Stream with lzma_index_stream_flags().

## ◆ number

lzma_vli lzma_index_iter::number

Stream number in the lzma_index.

The first Stream is 1.

## ◆ block_count

lzma_vli lzma_index_iter::block_count

Number of Blocks in the Stream.

If this is zero, the block structure below has undefined values.

## ◆ compressed_offset

lzma_vli lzma_index_iter::compressed_offset

Compressed start offset of this Stream.

The offset is relative to the beginning of the lzma_index (i.e. usually the beginning of the .xz file).

## ◆ uncompressed_offset

lzma_vli lzma_index_iter::uncompressed_offset

Uncompressed start offset of this Stream.

The offset is relative to the beginning of the lzma_index (i.e. usually the beginning of the .xz file).

## ◆ compressed_size

lzma_vli lzma_index_iter::compressed_size

Compressed size of this Stream.

This includes all headers except the possible Stream Padding after this Stream.

## ◆ uncompressed_size

lzma_vli lzma_index_iter::uncompressed_size

Uncompressed size of this Stream.

Uncompressed size of this Block.

You should pass this to the Block decoder if you will decode this Block. It will allow the Block decoder to validate the uncompressed size.

## ◆ padding

lzma_vli lzma_index_iter::padding

Size of Stream Padding after this Stream.

If it hasn't been set with lzma_index_stream_padding(), this defaults to zero. Stream Padding is always a multiple of four bytes.

## ◆ number_in_file

lzma_vli lzma_index_iter::number_in_file

Block number in the file.

The first Block is 1.

## ◆ compressed_file_offset

lzma_vli lzma_index_iter::compressed_file_offset

Compressed start offset of this Block.

This offset is relative to the beginning of the lzma_index (i.e. usually the beginning of the .xz file). Normally this is where you should seek in the .xz file to start decompressing this Block.

## ◆ uncompressed_file_offset

lzma_vli lzma_index_iter::uncompressed_file_offset

Uncompressed start offset of this Block.

This offset is relative to the beginning of the lzma_index (i.e. usually the beginning of the .xz file).

When doing random-access reading, it is possible that the target offset is not exactly at Block boundary. One will need to compare the target offset against uncompressed_file_offset or uncompressed_stream_offset, and possibly decode and throw away some amount of data before reaching the target offset.

## ◆ number_in_stream

lzma_vli lzma_index_iter::number_in_stream

Block number in this Stream.

The first Block is 1.

## ◆ compressed_stream_offset

lzma_vli lzma_index_iter::compressed_stream_offset

Compressed start offset of this Block.

This offset is relative to the beginning of the Stream containing this Block.

## ◆ uncompressed_stream_offset

lzma_vli lzma_index_iter::uncompressed_stream_offset

Uncompressed start offset of this Block.

This offset is relative to the beginning of the Stream containing this Block.

## ◆ unpadded_size

lzma_vli lzma_index_iter::unpadded_size

Unpadded size of this Block.

You should pass this to the Block decoder if you will decode this Block. It will allow the Block decoder to validate the unpadded size.

## ◆ total_size

lzma_vli lzma_index_iter::total_size

Total compressed size.

This includes all headers and padding in this Block. This is useful if you need to know how many bytes the Block decoder will actually read.

The documentation for this struct was generated from the following file:

- lzma/index.h

XZ logo © 2023 by Jia Tan is licensed under CC BY-SA 4.0